> # NAME

> tex2Dproj - performs a texture lookup with projection in a given sampler. May perform a shadow comparison if argument for shadow comparison is provided.

> # SYNOPSIS

>       float4 tex2Dproj(sampler2D samp, float3 s)
>       float4 tex2Dproj(sampler2D samp, float3 s, int texelOff)
>       float4 tex2Dproj(sampler2D samp, float4 s)
>       float4 tex2Dproj(sampler2D samp, float4 s, int texelOff)

>       int4 tex2Dproj(isampler2D samp, float3 s)
>       int4 tex2Dproj(isampler2D samp, float3 s, int texelOff)

>       unsigned int4 tex2Dproj(usampler2D samp, float3 s)
>       unsgined int4 tex2Dproj(usampler2D samp, float3 s, int texelOff)

> # PARAMETERS

> samp

>   Sampler to lookup.

> s

>   Coordinates to perform the lookup. The value used in the projection should be passed as the last component of the coordinate vector. The value used in the shadow comparison, if present, should be passed as the next-to-last component of the coordinate vector.

> texelOff

>   Offset to be added to obtain the final texel.

> # DESCRIPTION

> Performs a texture lookup in sampler samp using coordinates s, the coordinates used in the lookup are first projected, that is, divided by the last component of the coordinate vector and them used in the lookup. If an extra coordinate is present it is used to perform a shadow comparison, the value used in the shadow comparison is always the next-to-last component in the coordinate vector.

> # PROFILE SUPPORT

> tex2Dproj is supported in all fragment profiles and all vertex profiles starting with vp40, variants with shadow comparison are only supported in fp40 and newer profiles, variants with texel offsets are only supported in gp4 and newer profiles.

> # SEE ALSO

> tex2D, tex2DARRAYproj